Skip to main content
GET
/
v1
/
projects
/
{projectID}
/
sources
/
{sourceID}
Retrieve a source
curl --request GET \
  --url https://us.getconvoy.cloud/api/v1/projects/{projectID}/sources/{sourceID} \
  --header 'Authorization: <api-key>'
{
  "message": "<string>",
  "status": true,
  "data": {
    "body_function": "<string>",
    "created_at": "<string>",
    "custom_response": {
      "body": "<string>",
      "content_type": "<string>"
    },
    "deleted_at": "<string>",
    "forward_headers": [
      "<string>"
    ],
    "header_function": "<string>",
    "idempotency_keys": [
      "<string>"
    ],
    "is_disabled": true,
    "mask_id": "<string>",
    "name": "<string>",
    "project_id": "<string>",
    "provider": "github",
    "provider_config": {
      "twitter": {
        "crc_verified_at": "<string>"
      }
    },
    "pub_sub": {
      "amqp": {
        "host": "<string>",
        "auth": {
          "password": "<string>",
          "user": "<string>"
        },
        "bindedExchange": "<string>",
        "deadLetterExchange": "<string>",
        "port": "<string>",
        "queue": "<string>",
        "routingKey": "<string>",
        "schema": "<string>",
        "vhost": "<string>"
      },
      "google": {
        "project_id": "<string>",
        "service_account": [
          123
        ],
        "subscription_id": "<string>"
      },
      "kafka": {
        "auth": {
          "hash": "<string>",
          "password": "<string>",
          "tls": true,
          "type": "<string>",
          "username": "<string>"
        },
        "brokers": [
          "<string>"
        ],
        "consumer_group_id": "<string>",
        "topic_name": "<string>"
      },
      "sqs": {
        "access_key_id": "<string>",
        "default_region": "<string>",
        "endpoint": "<string>",
        "queue_name": "<string>",
        "secret_key": "<string>"
      },
      "type": "sqs",
      "workers": 123
    },
    "type": "http",
    "uid": "<string>",
    "updated_at": "<string>",
    "url": "<string>",
    "verifier": {
      "api_key": {
        "header_name": "<string>",
        "header_value": "<string>"
      },
      "basic_auth": {
        "password": "<string>",
        "username": "<string>"
      },
      "hmac": {
        "encoding": "base64",
        "hash": "<string>",
        "header": "<string>",
        "secret": "<string>"
      },
      "type": "noop"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://getconvoy.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectID
string
required

Project ID

sourceID
string
required

Source ID

Response

OK

message
string
status
boolean
data
object